clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- ~

### - s -

- setASTContext() : clang::tidy::ClangTidyContext
- setCheckProfileData() : clang::tidy::ClangTidyContext
- setCurrentFile() : clang::tidy::ClangTidyContext
- SetLongJmpCheck() : clang::tidy::cert::SetLongJmpCheck
- SetQuery() : clang::query::SetQuery< T >
- setSourceManager() : clang::tidy::ClangTidyContext
- shouldFixHeaderGuard() : clang::tidy::HeaderGuardCheck , clang::tidy::llvm::LLVMHeaderGuardCheck
- shouldSuggestEndifComment() : clang::tidy::HeaderGuardCheck , clang::tidy::llvm::LLVMHeaderGuardCheck
- shouldSuggestToAddHeaderGuard() : clang::tidy::HeaderGuardCheck
- ShrinkToFitCheck() : clang::tidy::modernize::ShrinkToFitCheck
- SimplifyBooleanExprCheck() : clang::tidy::readability::SimplifyBooleanExprCheck
- size() : llvm::yaml::SequenceTraits< FileFilter::LineRange >
- SizeofContainerCheck() : clang::tidy::SizeofContainerCheck
- SourceRangeSkipped() : PPCallbacksTracker
- StaticAssertCheck() : clang::tidy::StaticAssertCheck
- StaticObjectExceptionCheck() : clang::tidy::cert::StaticObjectExceptionCheck
- StmtAncestorASTVisitor() : clang::tidy::modernize::StmtAncestorASTVisitor
- store() : clang::tidy::OptionsView
- storeOptions() : clang::tidy::AssertSideEffectCheck , clang::tidy::ClangTidyCheck , clang::tidy::google::runtime::IntegerTypesCheck , clang::tidy::misc::DefinitionsInHeadersCheck , clang::tidy::modernize::LoopConvertCheck , clang::tidy::modernize::PassByValueCheck , clang::tidy::modernize::ReplaceAutoPtrCheck , clang::tidy::modernize::UseNullptrCheck , clang::tidy::MoveConstructorInitCheck , clang::tidy::ProBoundsConstantArrayIndexCheck , clang::tidy::readability::BracesAroundStatementsCheck , clang::tidy::readability::FunctionSizeCheck , clang::tidy::readability::IdentifierNamingCheck , clang::tidy::readability::SimplifyBooleanExprCheck , clang::tidy::ThrowByValueCatchByReferenceCheck
- StringIntegerAssignmentCheck() : clang::tidy::StringIntegerAssignmentCheck
- StringReferenceMemberCheck() : clang::tidy::google::runtime::StringReferenceMemberCheck
- SwappedArgumentsCheck() : clang::tidy::misc::SwappedArgumentsCheck